<template>
    <image src='./top.png' class='goTop' v-if="floorstatus" @click="goTop"></image>
</template>

<script lang="ts">
	import { Vue, Component, Prop } from "vue-property-decorator"
	
	@Component({})
	export default class goTopCom extends Vue {

  	@Prop({
			// 父组件传递给子组件的数据类型
			type: Boolean,

			// 是否必填
			required: false,

			// 默认值， 如果传入的是 Object，则要 default: ()=>({}) 参数为函数
			default: true
		}) floorstatus: Boolean = false;
    
    goTop() {
			uni.pageScrollTo({ scrollTop: 0 })
		}
	}
</script>

<style  scoped>
.goTop{
  height: 60rpx;
  width: 60rpx;
  position: fixed;
  bottom: 310rpx;
  right: 40rpx;
  z-index: 1000
}
</style>
